package es.unican.docencia.y2011.eda.practica2.objetos;

import java.io.IOException;

/**
 * Clase que sirve de punto de entrada a la aplicacion y cuyo objetivo
 * es basicamente probar que el tipo enumerado NotaMusical funciona
 * correctamente  
 * @author Pablo Snchez (p.sanchez@unican.es)
 * 		   http://personales.unican.es/sanchezbp
 */
public class Runner {

	/**
	 * Punto de entrada a la aplicacion
	 * @param args Argumentos pasados por la lnea de comandos. Simplemente se ignoran
	 */
	public static void main(String[] args) {
		
		System.out.println("ADVERTENCIA: Se han suprimido todos los acentos para evitar problemas de compatibilidad entre diferentes computadoras.");
		System.out.println("");
		
		NotaMusical d = NotaMusical.Do();

		try {
			d = NotaMusical.LeeNota("Introduzca una nota musical : ");
		} catch (IOException e) {
			e.printStackTrace();
			d = NotaMusical.Do();
		}
				
		System.out.println("====================================================");
		System.out.println("La nota musical leida es " + d);
		System.out.println("La nota siguiente es " + d.siguiente());
		System.out.println("La nota anterior es " + d.anterior());
		System.out.println("");
		
		System.out.print("Imprimos la nota : ");System.out.print(d.aCadena());System.out.println("");
		System.out.print("Imprimos la nota en versin inglesa : ");System.out.print(d.aCadenaInglesa());System.out.println("");
		
		System.out.println("");
		System.out.println("Hasta mas ver");
					
	} // main

} // Runner
